Get Content By ID
The endpoint allows you to retrieve a specific Content by Unique identifier for the Content object. In case cache version is not present, it will redirect to the latest version.
Authorization
apikey token<token>
In: query
Path Parameters
spaceId*string
Unique identifier for the Space object.
contentId*string
Unique identifier for the Content object.
Query Parameters
cv?string
Cache version.
locale?string
Locale unique identifier (ISO 639-1).
version?"draft"
Content version.
Value in
- "draft"
token*string
Authentication Token.
resolveReference?boolean
Resolve all references.
resolveLink?boolean
Resolve all links.
Response Body
application/json
curl -X GET "https://example.com/api/v1/spaces/UdV5ygPZuOD1JMO9Qat9/contents/4ykrlCKwI7OCawK2T68g?token=fb6oTcVjbnyLCMhO2iLY"{ "id": "WLWc4vOACzG1QjK9AEo9", "kind": "DOCUMENT", "name": "Privacy Policy", "locale": "en", "slug": "privacy-policy", "parentSlug": "legal", "fullSlug": "legal/privacy-policy", "createdAt": "2023-08-23T21:08:17.551Z", "updatedAt": "2024-01-23T14:10:37.852Z", "publishedAt": "2023-08-23T21:09:15.191Z", "data": { "_id": "a8ca3ed3-6613-4fb6-ae4e-5b846eb5775c", "schema": "docArticle" }}